JsonCpp project page | Classes | Namespace | JsonCpp home page

Json::Exception Class Reference

Base class for all exceptions we throw. More...

`#include <json/value.h>`

Inherits std::exception.

Inherited by Json::LogicError, and Json::RuntimeError.

## Public Member Functions

| Exception (String msg)
| ~Exception () noexcept override
char const * | what () const noexcept override

## Protected Attributes

String | msg_

## Detailed Description

Base class for all exceptions we throw.

We use nothing but these internally. Of course, STL can throw others.

Definition at line 81 of file value.h.

## Constructor & Destructor Documentation

## Exception()

Json::Exception::Exception | ( | String | msg | ) |

Definition at line 209 of file json_value.cpp.

References msg_.

Referenced by Json::LogicError::LogicError(), Json::RuntimeError::RuntimeError(), and what().

## ~Exception()

Json::Exception::~Exception | ( |  | ) |

override default noexcept

References what().

## Member Function Documentation

## what()

char const * Json::Exception::what | ( |  | ) | const

override noexcept

Definition at line 211 of file json_value.cpp.

References Exception(), msg_, and what().

Referenced by what(), and ~Exception().

## Member Data Documentation

## msg_

String Json::Exception::msg_

protected

Definition at line 88 of file value.h.

Referenced by Exception(), and what().

The documentation for this class was generated from the following files:

- include/json/value.h
- src/lib_json/json_value.cpp